=== debian/tests/control ===
Tests: examples
Depends: @, gprbuild
