## libgnatcoll-bindings 19

=== debian/changelog ===
libgnatcoll-bindings (19-3) unstable; urgency=medium

  * Move python library to its own Debian source package so that #936869
    does not prevent unrelated components to migrate to testing.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 30 Mar 2020 21:05:50 +0200

libgnatcoll-bindings (19-2) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
  * Standards-Version: 4.5.0
  * Use debhelper 12 dh-sequence syntax.
  * Drop redundant branch from Vcs-Git.
  * Give each library a separate test.
  * Drop python3 patch (applied upstream, not in Debian).

  [Matthias Klose <doko@debian.org>]
  * Depend on versioned python2. Closes: #952549.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2020 16:48:57 +0100

libgnatcoll-bindings (19-1) experimental; urgency=medium

  * New upstream release, built with gnat-9.
    Rename library and -dev package accordingly.
    New bindings for lzma and zlib C libraries.
  * Forward all possible patches, but remove style changes from Debian.
  * Move VCS to git and salsa.debian.org.
  * Debhelper 12. Standards-Version: 4.4.0. Rules-Requires-Root: no.
  * Ask for more linker warnings.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 03 Sep 2019 13:41:04 +0200

libgnatcoll-bindings (18-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change upload to fix stderr output in autopkg tests.

 -- Matthias Klose <doko@debian.org>  Tue, 09 Jul 2019 09:08:17 +0200
