=== debian/control ===
--- 
+++ 
@@ -2,58 +2,28 @@
 Priority: optional
 Section: misc
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
-Build-Depends: debhelper (>= 11),
- gnat, gnat-8,
+Build-Depends:
+ debhelper-compat (= 12),
+ gnat, gnat-9,
 # This line is parsed to set gnat version.
-# dh-ada-library allowing .ada extension.
- dh-ada-library (>= 6.10),
+ dh-sequence-ada-library,
 # gprbuild cleaning auto.cgpr.
  gprbuild (>= 2017),
 # Implicit libc6-dev provides: iconv, syslog.
  libgmp-dev,
- pkg-config,
- python-dev, libpython-dev,
  libreadline-dev,
- libgnatcoll17-dev,
+ libgnatcoll18-dev,
+ liblzma-dev,
+ zlib1g-dev,
 Homepage: https://www.adacore.com/community
-Standards-Version: 4.1.4
-
-######################################################################
-
-Package: libgnatcoll-python17-dev
-Section: libdevel
-Architecture: any
-Depends: libpython-dev, ${misc:Depends}, ${ada:Depends}
-Suggests: libgnatcoll-doc
-Description: GNATColl, general purpose Ada library (Python)
- The GNAT Component Collection deals with: module tracing, efficient
- file IO, static string searching (Boyer-Moore), e-mails and
- mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
- shell scripting. Components relying on external dependencies are
- distributed in separate packages.
- .
- This package contains the static library and Ada specifications
- adding Python as scripting language.
-
-Package: libgnatcoll-python17
-Section: libs
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Multi-Arch: same
-Description: GNATColl, general purpose Ada library (Python runtime)
- The GNAT Component Collection deals with: module tracing, efficient
- file IO, static string searching (Boyer-Moore), e-mails and
- mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
- shell scripting. Components relying on external dependencies are
- distributed in separate packages.
- .
- This package contains the runtime shared library for Python
- scripting.
-
-######################################################################
-
-Package: libgnatcoll-iconv17-dev
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/debian/libgnatcoll-bindings
+Vcs-Git: https://salsa.debian.org/debian/libgnatcoll-bindings.git
+
+######################################################################
+
+Package: libgnatcoll-iconv18-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
@@ -68,7 +38,7 @@
  This package contains the static library and Ada specifications
  for the binding with the Iconv C library.
 
-Package: libgnatcoll-iconv18
+Package: libgnatcoll-iconv19
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -86,7 +56,7 @@
 
 ######################################################################
 
-Package: libgnatcoll-readline17-dev
+Package: libgnatcoll-readline18-dev
 Section: libdevel
 Architecture: any
 Depends: libreadline-dev, ${misc:Depends}, ${ada:Depends}
@@ -101,7 +71,7 @@
  This package contains the static library and Ada specifications
  for the binding with GNU readline and history libraries.
 
-Package: libgnatcoll-readline18
+Package: libgnatcoll-readline19
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -119,7 +89,7 @@
 
 ######################################################################
 
-Package: libgnatcoll-gmp17-dev
+Package: libgnatcoll-gmp18-dev
 Section: libdevel
 Architecture: any
 Depends: libgmp-dev, ${misc:Depends}, ${ada:Depends}
@@ -134,7 +104,7 @@
  This package contains the static library and Ada specifications
  for the binding with the GNU Multiprecision arithmetic C library.
 
-Package: libgnatcoll-gmp18
+Package: libgnatcoll-gmp19
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -151,7 +121,7 @@
 
 ######################################################################
 
-Package: libgnatcoll-syslog1-dev
+Package: libgnatcoll-syslog2-dev
 Section: libdevel
 Architecture: any
 Depends: libc6-dev, ${misc:Depends}, ${ada:Depends}
@@ -166,7 +136,7 @@
  This package contains the static library and Ada specifications
  for the binding with the syslog C library.
 
-Package: libgnatcoll-syslog1
+Package: libgnatcoll-syslog2
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -180,3 +150,67 @@
  distributed in separate packages.
  .
  This package contains the runtime shared library for the syslog binding.
+
+######################################################################
+
+Package: libgnatcoll-lzma1-dev
+Section: libdevel
+Architecture: any
+Depends: liblzma-dev, ${misc:Depends}, ${ada:Depends}
+Suggests: libgnatcoll-doc
+Description: GNATColl, general purpose Ada library (lzma)
+ The GNAT Component Collection deals with: module tracing, efficient
+ file IO, static string searching (Boyer-Moore), e-mails and
+ mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
+ shell scripting. Components relying on external dependencies are
+ distributed in separate packages.
+ .
+ This package contains the static library and Ada specifications
+ for the binding with the lzma C library.
+
+Package: libgnatcoll-lzma1
+Section: libs
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
+Description: GNATColl, general purpose Ada library (lzma runtime)
+ The GNAT Component Collection deals with: module tracing, efficient
+ file IO, static string searching (Boyer-Moore), e-mails and
+ mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
+ shell scripting. Components relying on external dependencies are
+ distributed in separate packages.
+ .
+ This package contains the runtime shared library for the lzma binding.
+
+######################################################################
+
+Package: libgnatcoll-zlib1-dev
+Section: libdevel
+Architecture: any
+Depends: zlib1g-dev, ${misc:Depends}, ${ada:Depends}
+Suggests: libgnatcoll-doc
+Description: GNATColl, general purpose Ada library (zlib)
+ The GNAT Component Collection deals with: module tracing, efficient
+ file IO, static string searching (Boyer-Moore), e-mails and
+ mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
+ shell scripting. Components relying on external dependencies are
+ distributed in separate packages.
+ .
+ This package contains the static library and Ada specifications
+ for the binding with the zlib C library.
+
+Package: libgnatcoll-zlib1
+Section: libs
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
+Description: GNATColl, general purpose Ada library (zlib runtime)
+ The GNAT Component Collection deals with: module tracing, efficient
+ file IO, static string searching (Boyer-Moore), e-mails and
+ mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
+ shell scripting. Components relying on external dependencies are
+ distributed in separate packages.
+ .
+ This package contains the runtime shared library for the zlib binding.
