=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # Build script for GNATColl in Debian.
-# Copyright (c) 2014-2018 Nicolas Boulenguez <nicolas@debian.org>
+# Copyright (c) 2014-2020 Nicolas Boulenguez <nicolas@debian.org>
 
 # This build script is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License as
@@ -27,22 +27,20 @@
   ' debian/control),$(eval $(line)))
 
 DEB_BUILD_MAINT_OPTIONS := hardening=+all
-include /usr/share/dpkg/default.mk
+DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
+  -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
+include /usr/share/dpkg/buildflags.mk
 include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk
 vars := ADAFLAGS CFLAGS CPPFLAGS LDFLAGS
 
 BUILD := PROD
 vars += BUILD
 
-GNATCOLL_PYTHON_CFLAGS := `pkg-config --cflags python`
-GNATCOLL_PYTHON_LIBS   := `pkg-config --libs python`
-vars += GNATCOLL_PYTHON_CFLAGS GNATCOLL_PYTHON_LIBS
-
 GNATCOLL_ICONV_OPT :=
 vars += GNATCOLL_ICONV_OPT
 
 %:
-	dh $@ --with ada-library
+	dh $@
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build: $(libraries)
