## libgnatcoll-bindings 21.0.0

=== debian/changelog ===
libgnatcoll-bindings (21.0.0-4) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.
  * Standards-Version: 4.5.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Dec 2020 16:07:35 +0100

libgnatcoll-bindings (21.0.0-3) experimental; urgency=medium

  * Restrict versions of build dependencies, fixing the build of indirect
    reverse dependencies in experimental where ALI versions do not change.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 15 Nov 2020 20:07:01 +0000

libgnatcoll-bindings (21.0.0-2) experimental; urgency=medium

  * Rebuild with dh-ada-library >= 7.1 (depending on the same libgnatpr).

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 26 Oct 2020 09:50:02 +0000

libgnatcoll-bindings (21.0.0-1) experimental; urgency=medium

  * New upstream release.  No renaming in experimental,
    but new -dev and lib packages for the OpenMP binding.
  * Upstream now grants the GCC runtime exception to GPL-3+.
    Relicense Debian packaging, merge paragraphs with the same license.
  * Upstream recommends to watch github instead of the community website.
  * Set Section to libdevel instead of misc.
  * Embed new short specific docs instead of referencing libgnatcoll-doc.
  * Make package descriptions more informative.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 22 Oct 2020 22:48:56 +0000

libgnatcoll-bindings (20.0-1) experimental; urgency=medium

  * New upstream version built with gnat-10.
  * Reduce the divergence between branches
  * Pass build flags via the environment
  * Debhelper 13
  * Remove obsolete Pre-Depends

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 23 May 2020 15:29:21 +0000
