=== debian/tests/control ===
Tests: gmp iconv readline syslog
Depends: @, gprbuild
