=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%gnatcoll-bindings-$1.tar.gz%" \
https://github.com/AdaCore/gnatcoll-bindings/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz
