## libgnatcoll-bindings 22.0.0

=== debian/changelog ===
libgnatcoll-bindings (22.0.0-4) unstable; urgency=medium

  * Require a GCC major version instead of a full match. Closes: #1016337.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 03 Aug 2022 20:51:40 +0000

libgnatcoll-bindings (22.0.0-3) unstable; urgency=medium

  * Closes: #1013474. Explicitly select the same compiler for Ada and C
  * Update Standards-Version

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 27 Jun 2022 10:02:31 +0000

libgnatcoll-bindings (22.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition
  * Configure branch names for git-buildpackage
  * Require dh-ada-library 7.5, which generates ada:Depends differently

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 May 2022 18:41:48 +0200

libgnatcoll-bindings (22.0.0-1) experimental; urgency=medium

  * Build new upstream version with gnat-11 in experimental.
    Rename -dev packages according to Debian Policy for Ada.
    Except python below, no need to rename shared library packages.
  * Build the python3 binding from this source package. Closes: #760004.
    Rename the libgnatcoll-python library to -python3.
  * Move clean target from debian/rules to debian/clean.
  * Standard-Versions: 4.6.0.
  * Improve some long descriptions.
  * Use the unversioned debian_packaging.mk from the gnat package.
  * Stop installing README.md documentation, mostly intended for build.
  * Add upstream/metadata.
  * uscan: remove unneeded filenamemangle option.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Mar 2022 16:57:45 +0000
