=== debian/control ===
--- 
+++ 
@@ -4,27 +4,59 @@
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-ada-library (>= 7.2),
+ dh-ada-library (>= 7.5),
  dh-sequence-ada-library,
  gnat,
-# debian/rules extracts the gnat version from this line:
- gnat-10,
+ gnat-11,
  gprbuild (>= 2021.0.0.0778b109-2),
 # Implicit libc6-dev provides: iconv, omp, syslog.
  libgmp-dev,
- libgnatcoll19-dev (>= 21.0.0-2),
+ libgnatcoll20-dev,
+ pkg-config,
+ python3-dev,
+ libpython3-dev,
  libreadline-dev,
  liblzma-dev,
  zlib1g-dev,
 Homepage: https://github.com/AdaCore/gnatcoll-bindings
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/debian/libgnatcoll-bindings/-/tree/debian/nopython
-Vcs-Git: https://salsa.debian.org/debian/libgnatcoll-bindings.git -b debian/nopython
-
-######################################################################
-
-Package: libgnatcoll-iconv19-dev
+Vcs-Browser: https://salsa.debian.org/debian/libgnatcoll-bindings
+Vcs-Git: https://salsa.debian.org/debian/libgnatcoll-bindings.git
+
+######################################################################
+
+Package: libgnatcoll-python3-1-dev
+Architecture: any
+Depends: ${misc:Depends}, ${ada:Depends}
+Description: Ada binding to the Python3 language (development)
+ The GNAT Component Collection deals with: module tracing, efficient
+ file IO, static string searching (Boyer-Moore), e-mails and
+ mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
+ shell scripting. Components relying on external dependencies are
+ distributed in separate packages.
+ .
+ This package contains the static library and Ada specifications
+ adding Python as scripting language.
+
+Package: libgnatcoll-python3-1
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
+Description: Ada binding to the Python3 language (runtime)
+ The GNAT Component Collection deals with: module tracing, efficient
+ file IO, static string searching (Boyer-Moore), e-mails and
+ mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
+ shell scripting. Components relying on external dependencies are
+ distributed in separate packages.
+ .
+ This package contains the runtime shared library for Python
+ scripting.
+
+######################################################################
+
+Package: libgnatcoll-iconv20-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: Ada binding for Iconv character encoding conversions (development)
@@ -54,7 +86,7 @@
 
 ######################################################################
 
-Package: libgnatcoll-readline19-dev
+Package: libgnatcoll-readline20-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: Ada binding for ReadLine input history (development)
@@ -84,7 +116,7 @@
 
 ######################################################################
 
-Package: libgnatcoll-gmp19-dev
+Package: libgnatcoll-gmp20-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: Ada binding for GMP big numbers (development)
@@ -95,7 +127,7 @@
  distributed in separate packages.
  .
  This package contains the static library and Ada specifications
- for the binding with the GNU Multiprecision arithmetic C library.
+ for a binding with the GNU Multiple Precision arithmetic C library.
 
 Package: libgnatcoll-gmp20
 Section: libs
@@ -113,7 +145,7 @@
 
 ######################################################################
 
-Package: libgnatcoll-syslog3-dev
+Package: libgnatcoll-syslog4-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: Ada binding for syslog journals (development)
@@ -124,7 +156,7 @@
  distributed in separate packages.
  .
  This package contains the static library and Ada specifications
- for the binding with the syslog journal library.
+ for an interface to the syslog journal manager daemon.
 
 Package: libgnatcoll-syslog3
 Section: libs
@@ -142,7 +174,7 @@
 
 ######################################################################
 
-Package: libgnatcoll-lzma2-dev
+Package: libgnatcoll-lzma3-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: Ada binding for LZMA compression (development)
@@ -171,7 +203,7 @@
 
 ######################################################################
 
-Package: libgnatcoll-zlib2-dev
+Package: libgnatcoll-zlib3-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: Ada binding for Zlib compression (development)
@@ -200,7 +232,7 @@
 
 ######################################################################
 
-Package: libgnatcoll-omp1-dev
+Package: libgnatcoll-omp2-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: Ada binding for OpenMP parallelism (development)
